io.undertow.websockets.core

## Interface WebSocketLogger

All Superinterfaces:
  org.jboss.logging.BasicLogger

All Known Implementing Classes:
  WebSocketLogger_$logger

    @MessageLogger(projectCode="UT")
    public interface WebSocketLogger
    extends org.jboss.logging.BasicLogger

log messages start at 25000

Author:
  Stuart Douglas

### Field Summary

Fields
`static WebSocketLogger` `EXTENSION_LOGGER`
`static WebSocketLogger` `REQUEST_LOGGER`
`static WebSocketLogger` `ROOT_LOGGER`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `decodingFrameWithOpCode(int opCode)`
`void` `incorrectExtensionParameter(WebSocketExtension.Parameter param)`
`void` `unhandledErrorInAnnotatedEndpoint(Object instance, Throwable thr)`

### Methods inherited from interface org.jboss.logging.BasicLogger

`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

### Field Detail

#### ROOT_LOGGER

    static final WebSocketLogger ROOT_LOGGER

#### REQUEST_LOGGER

    static final WebSocketLogger REQUEST_LOGGER

#### EXTENSION_LOGGER

    static final WebSocketLogger EXTENSION_LOGGER

### Method Detail

#### decodingFrameWithOpCode

    @LogMessage(level=DEBUG)
     @Message(id=25003,
             value="Decoding WebSocket Frame with opCode %s")
    void decodingFrameWithOpCode(int opCode)

#### unhandledErrorInAnnotatedEndpoint

    @LogMessage(level=ERROR)
     @Message(id=25007,
             value="Unhandled exception for annotated endpoint %s")
    void unhandledErrorInAnnotatedEndpoint(Object instance,
                                                                                                                                                        @Cause
                                                                                                                                                        Throwable thr)

#### incorrectExtensionParameter

    @LogMessage(level=WARN)
     @Message(id=25008,
             value="Incorrect parameter %s for extension")
    void incorrectExtensionParameter(WebSocketExtension.Parameter param)